PDA

View Full Version : Minimum requirements for opengl3.3



EamonoRiain
02-27-2015, 04:32 PM
I'm trying to run the classic game Grim Fandango And I'm getting an error message before load up to with open Gl it seams even though my drivers are up to date it doesn't work so the question is 'is it possible to get a driver that will run Opengl 3.3 for mobile intel(R) 4 series with a windows 7 pro 64 bit operating system? '

GClements
02-27-2015, 06:52 PM
I'm trying to run the classic game Grim Fandango
The original was released at a time when few PCs had 3D-accelerated video hardware, so I presume that you're referring to the "remastered" version which has just been released.

A quick web search suggests that this is causing trouble for a lot of people with Intel graphics chips. According to this thread (http://www.doublefine.com/forums/m/viewthread/16142/) on the developer's site, they are looking to reduce the minimum requirements in a future update (the remastered version was funded by Sony on condition that it supported the PS4, so the PC version was a lower priority).

kaufenpreis
03-12-2015, 01:12 PM
To run OpenGL 4.x you need the equivalent of DX11 hardware, to run OpenGL 3.x, you need the equivalent of DX10 hardware. You do not have any special operating system requirements, the OpenGL support comes from the hardware vendor. Windows XP will do just fine, no problem.

Even though I said "you need hardware", in principle, a software implementation (such as Mesa) could of course offer OpenGL 4.1 anyway. It just won't be terribly fast.

mhagain
03-12-2015, 06:40 PM
Your problem is that the Mobile Intel 4 Series is just a very very old chip, and wasn't particularly good even in it's day. The highest OpenGL version it supports is, IIRC, OpenGL 2.1, so even the most up-to-date driver for it won't give you what you need.